<script src="https://cdn.tiny.cloud/1/5zqiey72y1jlr5izks356t8v0rxqe4uxo2ybx5z7y3ycv470/tinymce/5/tinymce.min.js"
    referrerpolicy="origin"></script>

<app-navbar></app-navbar>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-6">
            <div *ngIf="respDatosReunion && respDatosReunion.length > 0">
                <h2 style="margin: 20px 0px 0px 30px;">{{respDatosReunion[0].nombreReunion}}</h2>
            </div>
        </div>
        <div class="col-md-6 d-flex justify-content-end align-items-center" style="margin-top: 20px;">
            <button class="btn" style="color: blue;" *ngIf="tipoPagina == 'Indicadores'"
                (click)="abrirNuevoIndicadorModal()"><img src="../../../../assets/img/Indicador.png" alt="" width="25px"
                    style="margin-right: 8px;">Agregar
                indicador</button>
            <button class="btn" style="color: blue;" *ngIf="tipoPagina == 'Metas'" (click)="abrirNuevaMetaModal()"><img
                    src="../../../../assets/img/Indicador.png" alt="" width="25px" style="margin-right: 8px;">Agregar
                roca</button>
            <button class="btn" style="color: blue;" (click)="abrirNuevoAsuntoModal()"><img
                    src="../../../../assets/img/AsuntoAzul.png" alt="" width="25px" style="margin-right: 8px;">Crear
                asunto</button>
            <button class="btn" style="color: blue;" (click)="abrirNuevoProblemaModal()"><img
                    src="../../../../assets/img/ProblemaAzul.png" alt="" width="25px" style="margin-right: 8px;">Crear
                problema</button>
            <button class="btn" style="color: blue;" (click)="abrirNuevaActividadModal()"><img
                    src="../../../../assets/img/ActividadAzul.png" alt="" width="25px" style="margin-right: 8px;">Crear
                actividad</button>
        </div>
    </div>
    <hr>
    <div class="container">
        <div class="row">
            <!-- Temporizador card -->
            <div class="col-md-3 mb-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title text-center mb-3">Tiempo</h5>
                        <div style="text-align: center; margin-bottom: 20px;">
                            <h3>{{ minutos }} m</h3>
                        </div>
                        <div style="text-align: center;">
                            <p>{{ horaLocal$ | async }}</p>
                        </div>
                    </div>
                </div>
                <!-- Agenda card -->
                <div class="card mt-4">
                    <div class="card-body">
                        <h5 class="card-title text-center mb-3">Agenda</h5>
                        <div *ngFor="let datos of paginas; let i = index" class="d-flex justify-content-between cursor"
                            (click)="seleccionarPagina(i)">
                            <p class="card-text cursor"
                                [ngStyle]="{'color': datos.seleccionado === 'Si' ? 'blue' : 'inherit'}">
                                {{datos.tituloPagina}}</p>
                            <p class="card-text cursor" *ngIf="minutosPaginas[i] != 0">{{minutosPaginas[i]}}min</p>
                            <p class="card-text cursor" style="color: red;" *ngIf="minutosPaginas[i] == 0">
                                {{minutosPaginas[i]}}min
                            </p>
                        </div>
                    </div>
                </div>

            </div>

            <!-- ROMPEHIELOS  -->

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Rompehielos'">
                <div class="card" style="width: 100%;">
                    <div class="card-body">
                        <app-rompehielos></app-rompehielos>
                    </div>
                </div>
            </div>

            <!-- INDICADORES   -->

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Indicadores'">
                <div class="card" style="width: 100%;">
                    <div class="card-body">
                        <app-indicadores></app-indicadores>
                    </div>
                </div>
            </div>

            <!-- METAS -->

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Metas'">
                <div class="card" style="min-width: 100vh;">
                    <div class="card-body">
                        <app-metas></app-metas>
                    </div>
                </div>
            </div>

            <!-- ASUNTOS   -->

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Asuntos' && asuntosComp?.asuntos.length === 0" style="max-height: 72vh;">
                <div class="card">
                    <div class="card-body">
                        <app-asuntos></app-asuntos>
                    </div>
                </div>
            </div>
            <div class="col-md-6 mb-4" *ngIf="tipoPagina == 'Asuntos' && asuntosComp?.asuntos.length != 0">
                <div class="card">
                    <div class="card-body">
                        <app-asuntos></app-asuntos>
                    </div>
                </div>
            </div>
            <!-- Detalles card -->
            <div class="col-md-3 mb-4" *ngIf="tipoPagina == 'Asuntos' && asuntosComp?.asuntos.length != 0">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title text-center mb-3">Detalles</h6>
                        <div *ngIf="asuntosComp?.seleccion === true">
                            <ng-container *ngIf="!editandoTitulo; else inputTitulo" class="mt-1 mb-4">
                                <h5 (click)="activarEdicionTituloAsuntos()">
                                    {{asuntosComp?.asuntos[asuntosComp?.index].nombreHeadline}}</h5>
                            </ng-container>
                            <ng-template #inputTitulo>
                                <input #inputElement [(ngModel)]="nuevoTitulo" class="custom-input"
                                    (keyup.enter)="guardarNuevoTituloAsunto()" (blur)="cancelarEdicionTitulo()">
                            </ng-template>

                            <ckeditor name="detallesHeadline" class="mt-4"
                                [(ngModel)]="asuntosComp?.asuntos[asuntosComp?.index].detallesHeadline"
                                [editor]="Editor" class="custom-ckeditor"></ckeditor>

                            <ng-select class="custom-select mt-3"
                                [(ngModel)]="asuntosComp?.asuntos[asuntosComp?.index].idUsuario"
                                (change)="actualizarUsuarioH($event)">
                                <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                    <div class="option-content">
                                        <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                            alt="{{options.nombre}} {{options.apellidos}}">
                                        <span>{{options.nombre}} {{options.apellidos}}</span>
                                    </div>
                                </ng-option>
                            </ng-select>
                        </div>
                    </div>
                </div>
            </div>



            <!-- ACTIVIDADES  -->
            <div class="col-md-9 mb-4"
                *ngIf="tipoPagina == 'Actividades' && actividadesComp?.todasActividades.length === 0" style="max-height: 72vh;">
                <div class="card">
                    <div class="card-body">
                        <app-actividades></app-actividades>
                    </div>
                </div>
            </div>
            <div class="col-md-6 mb-4"
                *ngIf="tipoPagina == 'Actividades' && actividadesComp?.todasActividades.length != 0">
                <div class="card">
                    <div class="card-body">
                        <app-actividades></app-actividades>
                    </div>
                </div>
            </div>

            <!-- Detalles card -->
            <div class="col-md-3 mb-4" *ngIf="tipoPagina == 'Actividades' && actividadesComp?.actividades.length != 0">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title text-center mb-3">Detalles</h6>
                        <div *ngIf="actividadesComp?.seleccion === true">
                            <ng-container *ngIf="!editandoTitulo; else inputTitulo" class="mt-1 mb-4">
                                <h5 (click)="activarEdicionTituloActividades()">
                                    {{actividadesComp?.actividades[actividadesComp?.index].tituloToDo}}</h5>
                            </ng-container>
                            <ng-template #inputTitulo>
                                <input #inputElement [(ngModel)]="nuevoTitulo" class="custom-input"
                                    (keyup.enter)="guardarNuevoTituloActividad()" (blur)="cancelarEdicionTitulo()">
                            </ng-template>

                            <ckeditor name="detallesActividad" class="mt-4"
                                [(ngModel)]="actividadesComp?.actividades[actividadesComp?.index].detallesToDo"
                                [editor]="Editor" class="custom-ckeditor"></ckeditor>
                            <div class="form-group">
                                <label for="dueDateToDo">Fecha límite</label>
                                <input type="date" #inputdueDateGoal
                                    value="{{(actividadesComp?.actividades[actividadesComp?.index].dueDateToDo).split('T')[0]}}"
                                    class="form-control" (change)="actualizarFechaA(inputdueDateGoal.value)">
                            </div>
                            <ng-select class="custom-select mt-3"
                                [(ngModel)]="actividadesComp?.actividades[actividadesComp?.index].idUsuario"
                                (change)="actualizarUsuarioA($event)">
                                <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                    <div class="option-content">
                                        <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                            alt="{{options.nombre}} {{options.apellidos}}">
                                        <span>{{options.nombre}} {{options.apellidos}}</span>
                                    </div>
                                </ng-option>
                            </ng-select>
                        </div>
                    </div>
                </div>
            </div>

            <!-- PROBLEMAS  -->
            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Problemas' && problemasComp?.problemas.length == 0" style="max-height: 72vh;">
                <div class="card">
                    <div class="card-body">
                        <app-problemas></app-problemas>
                    </div>
                </div>
            </div>
            <div class="col-md-6 mb-4" *ngIf="tipoPagina == 'Problemas' && (problemasComp?.problemas.length) !== 0">
                <div class="card">
                    <div class="card-body">
                        <app-problemas></app-problemas>
                    </div>
                </div>
            </div>

            <!-- Detalles card -->
            <div class="col-md-3 mb-4" *ngIf="tipoPagina == 'Problemas' && problemasComp?.problemas.length != 0">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title text-center mb-3">Detalles</h6>
                        <div *ngIf="problemasComp?.seleccion === true">
                            <ng-container *ngIf="!editandoTitulo; else inputTitulo" class="mt-1 mb-4">
                                <h5 (click)="activarEdicionTituloProblemas()">
                                    {{problemasComp?.problemas[problemasComp?.index].nombreIssue}}</h5>
                            </ng-container>
                            <ng-template #inputTitulo>
                                <input #inputElement [(ngModel)]="nuevoTitulo" class="custom-input"
                                    (keyup.enter)="guardarNuevoTituloProblemas()" (blur)="cancelarEdicionTitulo()">
                            </ng-template>

                            <ckeditor name="detallesGoal" class="mt-4"
                                [(ngModel)]="problemasComp?.problemas[problemasComp?.index].detallesIssue"
                                [editor]="Editor" class="custom-ckeditor"></ckeditor>
                            <ng-select class="custom-select mt-3"
                                [(ngModel)]="problemasComp?.problemas[problemasComp?.index].idUsuario"
                                (change)="actualizarUsuarioI($event)">
                                <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                    <div class="option-content">
                                        <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                            alt="{{options.nombre}} {{options.apellidos}}">
                                        <span>{{options.nombre}} {{options.apellidos}}</span>
                                    </div>
                                </ng-option>
                            </ng-select>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Recomendacion'" style="max-height: 72vh;">
                <div class="card" style="width: 100%;">
                    <div class="card-body">
                        <app-calificacion></app-calificacion>
                    </div>
                </div>
            </div>

            <div class="col-md-9 mb-4" *ngIf="tipoPagina == 'Conclusion'" style="max-height: 72vh;">
                <div class="card" style="width: 100%;">
                    <div class="card-body">
                        <app-conclusion></app-conclusion>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <ng-template #agregarIndicadorModal class="modal fade">
        <div class="modal-content">
            <form id="nuevoIndicador">
                <div class="modal-header">
                    <h4 class="modal-title">Crear indicador</h4>
                    <button type="button" class="close" (click)="cerrarModal()">X</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label>Nombre Indicador</label>
                        <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                            [(ngModel)]="indicador.nombreMeasurable">
                    </div>
                    <div class="form-group">
                        <label>Unidades</label>
                        <select class="form-select" name="unidadesMeasurable" aria-placeholder="Selecciona..."
                            [(ngModel)]="indicador.unidadesMeasurable" required>
                            <option value="Sin unidades">Sin unidades</option>
                            <option value="Dolares">Dolares</option>
                            <option value="Porcentaje">Porcentaje</option>
                            <option value="Libras">Libras</option>
                            <option value="Pesos">Pesos</option>
                            <option value="Yenes">Yenes</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Criterio</label>
                        <select class="form-select" name="tipoMeasurable" aria-placeholder="Selecciona..."
                            [(ngModel)]="indicador.tipoMedida" required>
                            <option value="Igual a">Igual a</option>
                            <option value="Mayor o igual que">Mayor o igual que</option>
                            <option value="Mayor que">Mayor que</option>
                            <option value="Entre">Entre</option>
                            <option value="Menor o igual que">Menor o igual que</option>
                            <option value="Menor que">Menor que</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Meta</label>
                        <input type="text" class="form-control" name="goalMetric" required="required"
                            [(ngModel)]="indicador.goalMetric">
                    </div>
                    <div class="form-group">
                        <label>Responsable</label>
                        <select style="color: black;" class="form-select" name="idUsuario"
                            [(ngModel)]="indicador.idUsuario">
                            <option *ngFor="let integrante of participantes" [value]="integrante.idUsuario">
                                {{ integrante.nombre }} {{integrante.apellidos}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                    <button type="button" class="btn btn-success" (click)="agregarIndicador()">Agregar</button>
                </div>
            </form>
        </div>
    </ng-template>

    <ng-template #agregarMetaModal class="modal fade">
        <div class="modal-content">
            <form id="nuevaMeta">
                <div class="modal-header">
                    <h4 class="modal-title">Crear meta</h4>
                    <button type="button" class="close" (click)="cerrarModal()">X</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="nombreIndicador">Titulo</label>
                        <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                            [(ngModel)]="meta.tituloGoal">
                    </div>
                    <div class="row">
                        <div class="form-group form-check col-md-6 ml-3">
                            <label for="mostrarAcumulado" class="form-check-label">Mostrar acumulado</label>
                            <input type="checkbox" class="form-check-input" id="mostrarAcumulado"
                                name="mostrarAcumulado" [(ngModel)]="auxAcumulado">
                        </div>
                        <div class="form-group form-check col-md-6">
                            <label for="mostrarReal" class="form-check-label">Mostrar real del mes</label>
                            <input type="checkbox" class="form-check-input" id="mostrarReal" name="mostrarReal"
                                [(ngModel)]="auxReal">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="idUsuario">Responsable</label>
                        <select class="form-select" name="idUsuario" [(ngModel)]="meta.idUsuario">
                            <option value="" disabled selected>Selecciona...</option>
                            <option *ngFor="let integrante of participantes" [value]="integrante.idUsuario">
                                {{ integrante.nombre }} {{integrante.apellidos}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                    <button type="button" class="btn btn-success" (click)="agregarMeta()">Agregar</button>
                </div>
            </form>
        </div>
    </ng-template>



    <ng-template #agregarAsuntoModal class="modal fade">
        <div class="modal-content">
            <form id="nuevoAsunto">
                <div class="modal-header">
                    <h4 class="modal-title">Crear asunto</h4>
                    <button type="button" class="close" (click)="cerrarModal()">X</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="nombreIndicador">Titulo</label>
                        <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                            [(ngModel)]="asunto.nombreHeadline">
                    </div>
                    <div class="form-group">
                        <label>Detalles</label>
                        <ckeditor style="height: 170px;" name="detallesGoal" [editor]="Editor"
                            [(ngModel)]="asunto.detallesHeadline"></ckeditor>
                    </div>
                    <div class="form-group">
                        <label for="idUsuario">Responsable</label>
                        <ng-select class="custom-select mt-3" name="idUsuario" [(ngModel)]="asunto.idUsuario">
                            <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                <div class="option-content">
                                    <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                        alt="{{options.nombre}}">
                                    <span>{{options.nombre}} {{options.apellidos}}</span>
                                </div>
                            </ng-option>
                        </ng-select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                    <button type="button" class="btn btn-success" (click)="agregarAsunto()">Agregar</button>
                </div>
            </form>
        </div>
    </ng-template>


    <ng-template #crearProblemaModal class="modal fade">
        <div class="modal-content">
            <form id="nuevoProblemaMeta">
                <div class="modal-header">
                    <h4 class="modal-title">Crear problema</h4>
                    <button type="button" class="close" (click)="cerrarModal()">X</button>
                </div>
                <div class="modal-body">
                    <div class="form-group ">
                        <label for="nombreIndicador">Titulo</label>
                        <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                            [(ngModel)]="problema.nombreIssue">
                    </div>
                    <div class="form-group">
                        <label>Detalles</label>
                        <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="problema.detallesIssue">
                        </ckeditor>
                    </div>
                    <div class="form-group ">
                        <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="problema.idUsuario">
                            <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                <div class="option-content">
                                    <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                        alt="{{options.nombre}}">
                                    <span>{{options.nombre}} {{options.apellidos}}</span>
                                </div>
                            </ng-option>
                        </ng-select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                    <button type="button" class="btn btn-success" (click)="agregarProblema()">Agregar</button>
                </div>
            </form>
        </div>
    </ng-template>



    <ng-template #crearActividadModal class="modal fade">
        <div class="modal-content">
            <form id="nuevaActividad">
                <div class="modal-header">
                    <h4 class="modal-title">Crear actividad</h4>
                    <button type="button" class="close" (click)="cerrarModal()">X</button>
                </div>
                <div class="modal-body">
                    <div class="form-group ">
                        <label for="nombreIndicador">Titulo</label>
                        <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                            [(ngModel)]="actividad.tituloToDo">
                    </div>
                    <div class="form-group ">
                        <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="actividad.idUsuario"
                            [multiple]="true">
                            <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                                <div class="option-content">
                                    <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                        alt="{{options.nombre}}">
                                    <span>{{options.nombre}} {{options.apellidos}}</span>
                                </div>
                            </ng-option>
                        </ng-select>
                    </div>
                    <div class="form-group">
                        <label>Detalles</label>
                        <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="actividad.detallesToDo">
                        </ckeditor>
                    </div>
                    <div class="form-group">
                        <label for="dueDateGoal">Fecha límite</label>
                        <input type="date" name="dueDateGoal" id="dueDateGoal" class="form-control"
                            [(ngModel)]="actividad.dueDateToDo">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                    <button type="button" class="btn btn-success" (click)="agregarActividad()">Agregar</button>
                </div>
            </form>
        </div>
    </ng-template>
</div>